package com.zbf.system.service;

import com.zbf.system.domain.TRkWareNoticeTabBak;
import com.zbf.system.domain.TRkXnWareNoticeTabBak;

import java.util.List;

/**
 * 入库通知单明细备份Service接口
 *
 * @author tony
 * @date 2024-06-14
 */
public interface ITRkXnWareNoticeTabBakService
{
    /**
     * 查询入库通知单明细备份
     *
     * @param id 入库通知单明细备份主键
     * @return 入库通知单明细备份
     */
    public TRkXnWareNoticeTabBak selectTRkWareNoticeTabBakById(String id);




    /**
     * 查询入库通知单明细备份列表
     *
     * @param tRkWareNoticeTabBak 入库通知单明细备份
     * @return 入库通知单明细备份集合
     */
    public List<TRkXnWareNoticeTabBak> selectTRkWareNoticeTabBakList(TRkXnWareNoticeTabBak tRkWareNoticeTabBak);

    /**
     * 新增入库通知单明细备份
     *
     * @param tRkWareNoticeTabBak 入库通知单明细备份
     * @return 结果
     */
    public int insertTRkWareNoticeTabBak(TRkXnWareNoticeTabBak tRkWareNoticeTabBak);

    /**
     * 修改入库通知单明细备份
     *
     * @param tRkWareNoticeTabBak 入库通知单明细备份
     * @return 结果
     */
    public int updateTRkWareNoticeTabBak(TRkXnWareNoticeTabBak tRkWareNoticeTabBak);

    /**
     * 批量删除入库通知单明细备份
     *
     * @param ids 需要删除的入库通知单明细备份主键集合
     * @return 结果
     */
    public int deleteTRkWareNoticeTabBakByIds(String[] ids);

    /**
     * 删除入库通知单明细备份信息
     *
     * @param id 入库通知单明细备份主键
     * @return 结果
     */
    public int deleteTRkWareNoticeTabBakById(String id);

    /**
     * 批量禁用入库通知单明细备份
     *
     * @param ids 需要禁用的入库通知单明细备份主键集合
     * @return 结果
     */
    public int disabledTRkWareNoticeTabBakByIds(String[] ids);

    /**
     * 批量启用入库通知单明细备份
     *
     * @param ids 需要启用的入库通知单明细备份主键集合
     * @return 结果
     */
    public int enableTRkWareNoticeTabBakByIds(String[] ids);

    /**
     * 改变状态
     *
     * @param tRkWareNoticeTabBak
     * @return 结果
     */
    public int updateStatus(TRkXnWareNoticeTabBak tRkWareNoticeTabBak);

    List<TRkXnWareNoticeTabBak> select(TRkXnWareNoticeTabBak tRkWareNoticeTabBak);


    String importData(List<TRkXnWareNoticeTabBak> trList, String s);
}

